.hbspt-form {
	padding: 0 20px;
	max-width: 800px;
	margin: auto;
}

.hbspt-form form {
	display: flex;
	flex-direction: column;
	max-width: 800px;
/* 	margin: auto; */
	gap: 15px;
}

.hbspt-form form * {
    max-width: 100%;
}

.hbspt-form h1, .hbspt-form h2, .hbspt-form h3, .hbspt-form h4, .hbspt-form h5, .hbspt-form h6 {
	font-size: 20px !important;
	font-style: normal !important;
	text-align: left !important;
	font-weight: 600;
}

.hbspt-form form .input {
	margin: 0;
	margin-right: 0 !important;
}

.hbspt-form form .input input, .hbspt-form form .input select, .hbspt-form form .input textarea {
	padding: 3px;
	border-radius: 3px;
/* 	min-height: 36px; */
}

.hbspt-form form .input > input, .hbspt-form form .input > select, .hbspt-form form .input > textarea {
	width: 100% !important;
}

.hbspt-form form .input div:not(.hs-fieldtype-intl-phone) > input, .hbspt-form form .input div:not(.hs-fieldtype-intl-phone) > select, .hbspt-form form .input div:not(.hs-fieldtype-intl-phone) > textarea {
	min-width: 100% !important;
}

.hbspt-form form .input input:not([type="checkbox"]), .hbspt-form form .input input:not([type="radio"]) {
/* 	min-width: 1px; */
}

.hbspt-form form fieldset {
  display: flex;
	gap: 5px;
	max-width: 100% !important;
}

.hbspt-form form fieldset .hs-richtext >:first-child {
	margin: 0;
}

.hbspt-form .hs-form-field {
    margin: 10px 0;
    display: flex;
    flex-direction: column;
}


.hbspt-form .form-columns-1 .hs-form-field {
	width: 100% !important;
}

.hbspt-form .hs-dependent-field {
    display: flex;
    flex-direction: column;
		gap: 5px;
}

.hbspt-form form label, .hbspt-form form legend {
    display: flex;
    gap: 5px;
    align-items: center;
    line-height: 1em;
    min-height: 1em;
    margin-bottom: 5px;
}

.hbspt-form form li > label, .hbspt-form form li > legend {
	margin-bottom: 0;
}

.hbspt-form .actions {
	padding: 20px 0;
}

.hbspt-form .actions input[type="submit"] {
    color: white;
	text-transform: uppercase;
}

.hbspt-form .inputs-list {
	padding: 0;
	margin: 0;
  list-style: none;
}

.hbspt-form .inputs-list li {
	margin: 5px 0;
}

.hbspt-form .fn-date-picker .pika-button {
	letter-spacing: 0;
}

.hbspt-form a {
	font-size: inherit;
	font-family: inherit;
}

.hbspt-form a:hover, .hbspt-form a:focus, .hbspt-form a:active {
	text-decoration: underline;
}

.hbspt-form .hs-richtext, .hbspt-form .hs-field-desc {
    font-size: 12px;
    line-height: 1.5em;
}

.hbspt-form .hs-error-msgs {
	margin: 5px 0;
}

.hbspt-form .hs-form-field {
	margin: 0;
}

body .hbspt-form .form-columns-2 .hs-form-field {
	width: 50% !important;
}

body .hbspt-form .form-columns-3 .hs-form-field {
	width: 33.3% !important;
}

@media (max-width: 767px) {
	.hbspt-form .form-columns-2 .hs-form-field, .hbspt-form .form-columns-3 .hs-form-field {
		width: 100% !important;
	}
}

@media (max-width: 1024px) {
	.hbspt-form form {
		width: 90%;
	}
}

/* Floating Form */

label[for="footer-floating-form-toggle"]:not(.minimize) {
    z-index: 9999;
    font-size: 30px !important;
    position: fixed;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    padding: 0 !important;
    text-align: center;
    font-weight: 400 !important;
    display: flex;
    align-items: center;
    justify-content: center;
    top: unset !important;
    box-shadow: 0 0 0 black;
    transform: rotate(0) scale(1);
    transition: box-shadow .25s, transform .25s !important;
}
label[for="footer-floating-form-toggle"]:not(.minimize):hover {
    box-shadow: 0 0 3px black;
}
#footer-floating-form-toggle + label[for="footer-floating-form-toggle"]:not(.minimize) {
    font-family: 'Font Awesome 5 Free', 'FontAwesome';   font-family: 'Font Awesome 5 Free', 'FontAwesome';
}
#footer-floating-form-toggle:checked + label[for="footer-floating-form-toggle"]:not(.minimize) {
    transform: rotate(90deg) scale(0);
}
label[for="footer-floating-form-toggle"].minimize {
    position: absolute;
    right: 0px;
    top: 0px;
    padding: 10px;
    line-height: 1em;
    font-weight: 900;
    font-size: 14px;
}
#footer-floating-form-toggle {
    display: none;
}
#footer-floating-form-toggle:checked + label + .footer-floating-form-inner {
    transform: scale(1);
}
.footer-floating-form-inner {
    box-shadow: 0 0 5px #00000080;
    /* border-radius: 20px; */
    overflow: hidden;
    /* display: none; */
    transform: scale(0);
    transition: transform .25s ease-in-out;
    /* height: 100%; */
    position: fixed;
    bottom: 10px;
    z-index: 999999;
}

.footer-floating-form-wrapper button {
    background: #25D366 !important;
    width: 50px !important;
    min-height: 50px !important;
    border-radius: 50%;
    padding: 0;
    overflow: hidden;
    text-align: center;
    align-items: center;
    justify-content: center;
    transition: background .25s;
}

.footer-floating-form-shortcode {
    overflow-y: auto;
}

.footer-floating-form-wrapper button:hover {
    background: #25D366 !important;
}

.footer-floating-form-wrapper .hbspt-form form {
    overflow-y: auto;
}

.footer-floating-form-wrapper .hbspt-form input, .footer-floating-form-wrapper .hbspt-form select {
    font-size: 12px;
}

.footer-floating-form-wrapper input[type="text"],
.footer-floating-form-wrapper input[type="email"],
.footer-floating-form-wrapper input[type="url"],
.footer-floating-form-wrapper input[type="password"],
.footer-floating-form-wrapper input[type="search"],
.footer-floating-form-wrapper input[type="number"],
.footer-floating-form-wrapper input[type="tel"],
.footer-floating-form-wrapper input[type="range"],
.footer-floating-form-wrapper input[type="date"],
.footer-floating-form-wrapper input[type="month"],
.footer-floating-form-wrapper input[type="week"],
.footer-floating-form-wrapper input[type="time"],
.footer-floating-form-wrapper input[type="datetime"],
.footer-floating-form-wrapper input[type="datetime-local"],
.footer-floating-form-wrapper input[type="color"],
.footer-floating-form-wrapper textarea,
.footer-floating-form-wrapper select {
    color: #666;
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: 3px;
}

.footer-floating-form-wrapper button,
.footer-floating-form-wrapper input[type="button"],
.footer-floating-form-wrapper input[type="reset"],
.footer-floating-form-wrapper input[type="submit"] {
    border: 1px solid;
    border-color: #ccc #ccc #bbb;
    border-radius: 3px;
    background: #e6e6e6;
    color: rgba(0, 0, 0, 0.8);
    line-height: 1;
    padding: 0.6em 1em 0.4em;
}

.footer-floating-form-wrapper .hs-richtext p {
    margin: 1em 0;
    font-size: 12px;
}

.footer-floating-form-wrapper button[aria-selected="true"] {
    display: none;
}

.footer-floating-form-wrapper .hbspt-form form {
    gap: 10px;
}

.footer-floating-form-wrapper .hbspt-form form fieldset {
    flex-direction: column;
}

.footer-floating-form-wrapper .hbspt-form .hs-form-field label {
    font-size: 12px;
}

.footer-floating-form-wrapper .hbspt-form form fieldset > div {
    width: 100% !important;
}

.footer-floating-form-wrapper .legal-consent-container li span {
    font-size: 11px !important;
    line-height: 13px;
}

.footer-floating-form-wrapper .legal-consent-container .field.hs-form-field {
    margin-bottom: 0;
}

.footer-floating-form-wrapper .hbspt-form {
    padding: 0;
}

.footer-floating-form-wrapper .submitted-message {
    padding: 20px;
}

.footer-floating-form-wrapper .hbspt-form .hs-form-field {
    padding: 3px 15px;
}

.footer-floating-form-wrapper .hbspt-form .hs-richtext {
    text-align: center;
    font-size: 12px;
    line-height: 14px;
    padding: 15px 10px;
    font-weight: 400;
}

.footer-floating-form-wrapper .hbspt-form .hs-richtext > * {
    text-align: center;
    font-size: 12px !important;
    font-weight: 600;
    max-width: 75%;
    margin: auto;
}

.footer-floating-form-wrapper .hs-error-msgs {
    padding: 0 20px;
}

.footer-floating-form-wrapper .hs-error-msgs label {
    font-size: 12px;
    color: #f2545b;
}

.footer-floating-form-wrapper .hbspt-form .submitted-message h4 {
    margin-bottom: 0;
}

.footer-floating-form-wrapper .hbspt-form .submitted-message h4:before {
    content: '\f164';
    font-family: 'FontAwesome';
    text-align: center;
    font-size: 46px;
    display: block;
    margin: auto;
    position: relative;
}

.hs-fieldtype-intl-phone.hs-input {
    padding: 0;
    background: none;
    border: none;
    height: auto;
    display: flex;
    align-items: normal;
    justify-content: space-between;
}

.footer-floating-form-wrapper .hbspt-form .inputs-list li {
    margin: 3px 0;
}

.footer-floating-form-wrapper .hbspt-form .actions {
    text-align: center;
}

/* media queries mobile */
@media screen and (max-width: 728px) {
    .footer-floating-form-inner {
        right: 0 !important;
        left: 0 !important;
        bottom: 0 !important;
        width: 100% !important;
        height: 100% !important;
        max-height: 100% !important;
    }
    .footer-floating-form-wrapper .hbspt-form form {
        height: 90vh;
        max-height: unset !important;
        width: 100% !important;
    }
    .footer-floating-form-inner {
        border-radius: 0;
    }
    #footer-floating-form-toggle:checked + label + .footer-floating-form::before {
        content: '';
        /* background: black; */
        opacity: .5;
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        z-index: -1;
    }
}

@media (max-width: 400px), (min-device-width: 320px) and (max-device-width: 480px) {
    body .hbspt-form form fieldset {
        flex-direction: column;
    }
    body .footer-floating-form-wrapper .hbspt-form {
        padding: 0;
    }
    body .footer-floating-form-wrapper .hbspt-form form {
        gap: 15px;
        margin-bottom: 25px;
    }
    body .footer-floating-form-wrapper .hbspt-form .hs-form-field label {
        font-size: 9px;
    }
    body .footer-floating-form-wrapper .legal-consent-container li span {
        font-size: 9px !important;
        line-height: 11px;
    }

    body .footer-floating-form-wrapper .legal-consent-container .hs-form-booleancheckbox-display>span {
        margin-left: 5px;
    }

    body .footer-floating-form-wrapper .hbspt-form .actions {
        padding: 0;
    }
    body .footer-floating-form-wrapper .hbspt-form .actions input[type="submit"] {
        font-size: 11px !important;
    }
    body .hbspt-form .hs-form-field {
        width: 100% !important;
    }
    .hs-fieldtype-intl-phone.hs-input select {
        max-width: 30% !important;
    }
}